export default {
  namespaced: true,
  state: {

    cacheRoutes: [], // 当前缓存的路由
  },
  actions: {

    //添加缓存路由
    addCacheRoutes({
      state,
      commit
    }, paylod) {
      if (!state.cacheRoutes.includes(paylod)) {
        state.cacheRoutes.push(paylod);
        commit("SET_CACHE_ROUTES", state.cacheRoutes);
      }
    },
    //删除需要缓存的路由
    removeCacheRoutes({
      state,
      commit
    }, paylod) {
      const data = state.cacheRoutes.filter(item => item !== paylod);
      commit("SET_CACHE_ROUTES", data);
    },
  },
  mutations: {

    //设置缓存路由
    SET_CACHE_ROUTES(state, data = []) {
      state.cacheRoutes = data;
    },
  }
};