import testCardPhoto from "@/assets/img/test-card-photo.png";
import testBusiness from "@/assets/img/test-business.png";

export default {
  namespaced: true,
  state: {
    //我的证照列表数据
    photo: [
      {
        id: 1,
        name: "电子社保卡",
        pic: testCardPhoto,
        picList: [testCardPhoto],
        time: "2023-01-13",
      },
    ],
    enterprisePhoto: [
      {
        id: 1,
        name: "营业执照",
        pic: testBusiness,
        picList: [testBusiness],
        time: "2023-01-13",
      },
    ],
    enterpriseServiceData: [
      {
        id: 1,
        theme: "关于企业变更登记（税务信息变更）“一件事”的申请",
        status: "正常",
        time: "2023-07-13 17:14:43",
        fileName: "1公司登记（备案）申请书.doc",
        file: "/assets/1公司登记（备案）申请书.doc",
      },
      {
        id: 2,
        theme: "关于公司创业担保贷款申请",
        status: "准予许可",
        time: "2023-04-25 15:28:36",
        fileName: "2创业担保贷款申请表.png",
        file: "/assets/1资产评估办事流程.png",
      },
      {
        id: 3,
        theme: "关于负责限额以下村镇建设工程的质量安全监管的申请",
        status: "不予许可",
        time: "2023-03-15 14:22:16",
        fileName: "3村镇建设工程的质量安全监管流程.png",
        file: "/assets/3村镇建设工程的质量安全监管流程.png",
      },
    ],

    serviceData: [
      {
        id: 1,
        theme: "关于李云农药经营许可(核发) 的申请",
        status: "正常",
        time: "2023-07-13 17:14:43",
        fileName: "1农药生产情况报告.doc",
        file: "/assets/1农药生产情况报告.doc",
      },
      {
        id: 2,
        theme: "关于李云生育服务证登记的申请",
        status: "准予许可",
        time: "2023-04-25 15:28:36",
        fileName: "2重庆市生育登记服务表.png",
        file: "/assets/2重庆市生育登记服务表.png",
      },
      {
        id: 3,
        theme: "关于李云不动产登记的申请",
        status: "不予许可",
        time: "2023-03-15 14:22:16",
        fileName: "3不动产登记申请书.doc",
        file: "/assets/3不动产登记申请书.doc",
      },
      {
        id: 4,
        theme: "关于李云区县境内水路客运经营许可",
        status: "准予许可",
        time: "2023-02-18 14:28:15",
        fileName: "4变更经营范围书面申请.doc",
        file: "/assets/4变更经营范围书面申请.doc",
      },
    ],

    SpaceIndexMain: [
      {
        id: 1,
        materialName: "申请在校求职创业补贴相关资料",
        opdateTime: "2023-01-13 12:25:23",
        fileName: "1创业补贴相关材料.docx",
        file: "/assets/1创业补贴相关材料.docx",
      },
      {
        id: 2,
        materialName: "高等学校等毕业生接收手续办理相关资料",
        opdateTime: "2023-01-08 09:23:46",
        fileName: "2毕业生和其他流动人口接收手续.jpg",
        file: "/assets/2毕业生和其他流动人口接收手续.jpg",
      },
      {
        id: 3,
        materialName: "受理公费师范生跨省任教申请相关资料",
        opdateTime: "2023-01-07 09:15:42",
        fileName: "3重庆市公费师范毕业生跨省就业申请表.doc",
        file: "/assets/3重庆市公费师范毕业生跨省就业申请表.doc",
      },
      {
        id: 4,
        materialName: "档案的接收和转递的相关资料",
        opdateTime: "2023-01-06 14:28:13",
        fileName: "4流动人员人事档案管理登记表及托管申请或调档函.doc",
        file: "/assets/4流动人员人事档案管理登记表及托管申请或调档函.doc",
      },
      {
        id: 5,
        materialName: "职业指导相关资料",
        opdateTime: "2023-01-04 11:18:23",
        fileName: "5职业指导.png",
        file: "/assets/5职业指导.png",
      },
    ],

    enterpriseMaterials: [
      {
        id: 1,
        materialName: "对资产评估行业的监督检查相关材料",
        opdateTime: "2023-01-13 12:25:23",
        fileName: "1资产评估办事流程.png",
        file: "/assets/1资产评估办事流程.png",
      },
      {
        id: 2,
        materialName: "企业变更登记（税务信息变更）“一件事”的相关材料",
        opdateTime: "2023-01-08 09:23:46",
        fileName: "2公司登记（备案）申请书.doc",
        file: "/assets/2公司登记（备案）申请书.doc",
      },
      {
        id: 3,
        materialName: "非经营性互联网信息服务备案核准相关资料",
        opdateTime: "2023-01-07 09:15:42",
        fileName: "3非经营性互联网信息服务备案核准 .pdf",
        file: "/assets/3非经营性互联网信息服务备案核准 .pdf",
      },
      {
        id: 4,
        materialName: "区块链信息服务备案的相关资料",
        opdateTime: "2023-01-06 14:28:13",
        fileName: "4区块链信息服务备案.png",
        file: "/assets/4区块链信息服务备案.png",
      },
      {
        id: 5,
        materialName: "互联网新技术新应用安全评估的相关资料",
        opdateTime: "2023-01-04 11:18:23",
        fileName: "5安全自评估报告.pdf",
        file: "/assets/5安全自评估报告.pdf",
      },
    ],
  },
  actions: {
    //修改列表数据
    changeTableData({ commit }, paylod) {
      const { field, data } = paylod;
      // console.log(field, data);
      commit("SET_TABLE_DATA", { field, data });
    },
  },
  mutations: {
    //设置缓存路由
    SET_TABLE_DATA(state, { field, data = [] }) {
      state[field] = data;
    },
  },
};
