module.exports = {
  // 入口文件
  entry: "./src/main.js",
  output: {
    // path: path.resolve(__dirname, "dist"),
    // filename: "bundle.js",
  },
  module: {
    rules: [
      {
        test: /\.vue$/,
        loader: "vue-loader",
      },
      {
        test: /\.css$/,
        use: ["style-loader", "css-loader"],
      },
      {
        test: /\.(jpg|png|svg|ttf)$/,
        use: "url-loader",
      },
      {
        test: /\.(docx|doc|pdf)$/,
        use: "url-loader",
      },
    ],
  },
};
